//(1)VALEDCu(zz https://github.com/adafruit/Adafruit_NeoPixel)
#include <Adafruit_NeoPixel.h>
//(2)Arduino HID Project 2.4.4(zz https://github.com/NicoHood/HID#arduino-hid-project-244)
#include <HID-Project.h>
#include <HID-Settings.h>

//LEDp I/O`
#define NUMPIXELS     1     // VALED
#define NUM_LOCK_LED    21      // NumLock/샂[hLED|[gԍ

//VALED`
//  D2812   = NEO_RGB
//  WS2812B = NEO_GRB
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, NUM_LOCK_LED, NEO_GRB + NEO_KHZ800);  //NumLock LEDPin

//NumLockELED
int R[3];            // LEDF Red  (0-255)
int G[3];            // LEDF Green(0-255)
int B[3];            // LEDF Blue (0-255)

void setup()
{
  // put your setup code here, to run once:
  //LED\(e샂[hʂRGBŐFw肷)
  //F1=
  R[0]=0;
  G[0]=10;
  B[0]=0;

  //F2=
  R[1]=0;
  G[1]=0;
  B[1]=10;

  //F3=
  R[2]=10;
  G[2]=0;
  B[2]=0;

  //VALEDCu
  pixels.begin();

  //HIDfoCX(zXgLEDԎ擾p)
  BootKeyboard.begin();
}

void loop()
{
  // put your main code here, to run repeatedly:
  static int mode = 0;//FύXp

  //zXgLEDԂ擾
  int cur_led_sts = BootKeyboard.getLeds();
  
  //zXgNumLockԂON
  if( cur_led_sts & LED_NUM_LOCK )
  {
    //LED_(key_modeɏ]RGBw肷)
    pixels.setPixelColor(0, pixels.Color(R[mode],G[mode],B[mode]));
  }
  else
  {
    //LED()
    pixels.setPixelColor(0, pixels.Color(0,0,0));
  }
  //LEDo
  pixels.show();

  //FύX
  mode++;
  if(mode>=3)
  {
	mode = 0;
  }
  //500msx
  delay(500);
}
